Bug 178062 - gcc crash when compiling AltiVec code
gcc crash when compiling AltiVec code
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
4.0
ppc64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-01-17 12:23 EST by Ed Goforth
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0509
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Source code which triggers compiler error. (249 bytes, text/plain)
2006-01-17 12:24 EST, Ed Goforth
no flags Details
Preprocessed source code from gcc from a.c. (620 bytes, text/plain)
2006-01-17 12:25 EST, Ed Goforth
no flags Details
Modified source code that prevents the internal compiler error. (208 bytes, text/plain)
2006-01-17 14:08 EST, Ed Goforth
no flags Details

  None (edit)
Description Ed Goforth 2006-01-17 12:23:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
gcc encounters internal compiler error when compiling code initializing an array of vectors.  If the variable is a single vector instead of an array of vectors, compiler executes correctly.  Source code and gcc output will be added as an attachment.

Version-Release number of selected component (if applicable):
gcc-3.4.3-22.1

How reproducible:
Always

Steps to Reproduce:
1. compile attached code using gcc -maltivec -mabi=altivec
  

Actual Results:  Compiler caught internal error and halted.

Expected Results:  Compiler should have produced executable.

Additional info:

gcc -g -maltivec -mabi=altivec a.c -o a.out
a.c: In function `main':
a.c:7: internal compiler error: in copy_constant, at varasm.c:2466
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccQnwvma.out file, please attach this to your bugreport.
Comment 1 Ed Goforth 2006-01-17 12:24:55 EST
Created attachment 123311 [details]
Source code which triggers compiler error.
Comment 2 Ed Goforth 2006-01-17 12:25:49 EST
Created attachment 123312 [details]
Preprocessed source code from gcc from a.c.
Comment 3 Ed Goforth 2006-01-17 14:08:11 EST
Created attachment 123322 [details]
Modified source code that prevents the internal compiler error.

The attached file b.c has the changes that must be made for gcc to no longer
crash.	With the changes, it compiles and generates correct code.
Comment 7 Ed Goforth 2006-02-27 10:57:52 EST
I have verified that the bug is not present in gcc4-4.0.0-0.14.EL4
Comment 11 Bob Johnson 2006-04-11 12:05:42 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 16 Red Hat Bugzilla 2006-08-10 17:30:12 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0509.html

Note You need to log in before you can comment on or make changes to this bug.